org.eclipse.ease.debugging.model

## Enum EaseDebugVariable.Type

- java.lang.Object
- - java.lang.Enum<EaseDebugVariable.Type>
  - - org.eclipse.ease.debugging.model.EaseDebugVariable.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EaseDebugVariable.Type>

Enclosing class:
  EaseDebugVariable

    public static enum EaseDebugVariable.Type
    extends java.lang.Enum<EaseDebugVariable.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`JAVA_OBJECT`
`NATIVE`
`NATIVE_ARRAY`
`NATIVE_OBJECT`
`PRIMITIVE`

### Method Summary

All Methods Static Methods Concrete Methods
`static EaseDebugVariable.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EaseDebugVariable.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRIMITIVE

    public static final EaseDebugVariable.Type PRIMITIVE

#### NATIVE

    public static final EaseDebugVariable.Type NATIVE

#### NATIVE_OBJECT

    public static final EaseDebugVariable.Type NATIVE_OBJECT

#### NATIVE_ARRAY

    public static final EaseDebugVariable.Type NATIVE_ARRAY

#### JAVA_OBJECT

    public static final EaseDebugVariable.Type JAVA_OBJECT

### Method Detail

#### values

    public static EaseDebugVariable.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EaseDebugVariable.Type c : EaseDebugVariable.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EaseDebugVariable.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null